j_syscalls.d(1m)

NAME
j_syscalls.d - count Java methods and syscalls using DTrace.

SYNOPSIS
j_syscalls.d { -p PID | -c cmd }

DESCRIPTION
This traces Java methods if the hotspot provider exists (1.6.0) and the flag "+ExtendedDTraceProbes" is used. eg, java -XX:+ExtendedDTraceProbes classfile

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_syscalls.d

FIELDS

PID Process ID

TYPE
    Type of call (method/syscall)

NAME
    Name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_syscalls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)